/*
 * Front gateway
 *
 * Front gateway
 *
 * API version: 0.0.1
 * Generated by: OpenAPI Generator (https://openapi-generator.tech)
 */

package openapi

type ConfirmArgs struct {

	Session string `json:"session"`

	Code int32 `json:"code"`
}

// AssertConfirmArgsRequired checks if the required fields are not zero-ed
func AssertConfirmArgsRequired(obj ConfirmArgs) error {
	elements := map[string]interface{}{
		"session": obj.Session,
		"code": obj.Code,
	}
	for name, el := range elements {
		if isZero := IsZeroValue(el); isZero {
			return &RequiredError{Field: name}
		}
	}

	return nil
}

// AssertRecurseConfirmArgsRequired recursively checks if required fields are not zero-ed in a nested slice.
// Accepts only nested slice of ConfirmArgs (e.g. [][]ConfirmArgs), otherwise ErrTypeAssertionError is thrown.
func AssertRecurseConfirmArgsRequired(objSlice interface{}) error {
	return AssertRecurseInterfaceRequired(objSlice, func(obj interface{}) error {
		aConfirmArgs, ok := obj.(ConfirmArgs)
		if !ok {
			return ErrTypeAssertionError
		}
		return AssertConfirmArgsRequired(aConfirmArgs)
	})
}
